Name:           gurlchecker
Version:        0.6.3
Release:        0.fdr.1.2
Epoch:          0
Summary:        A GNOME link validity checker.

Group:          Applications/Internet
License:        GPL
URL:            http://www.nongnu.org/gurlchecker/
Source0:        http://savannah.nongnu.org/download/gurlchecker/stable/0.6/gurlchecker-0.6.3.tar.gz
Source1:        gurlchecker.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 0:2.0
BuildRequires:  libglade2-devel >= 0:2.0
BuildRequires:  gettext
BuildRequires:	desktop-file-utils

%description
gURLChecker is a GNOME tool that can check links on a single web page
or on a whole web site in order to determine validity of each page.



%prep
%setup -q



%build
%configure
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

install -p -D -m0644 ui/gURLChecker_icon.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/gurlchecker.png
install -p -D -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/gurlchecker.desktop
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Network                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/gurlchecker/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*



%changelog
* Mon Nov 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6.3-0.fdr.1
- Update to 0.6.3.

* Wed Sep 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6.2-0.fdr.2
- Brought spec more inline with current template.
- Corrected source file permission.

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6.2-0.fdr.1
- Initial Release..1
